## kodi-vfs-sftp-dmo 19.0.1

=== depends/common/openssl/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(openssl)

if(NOT CPU AND CMAKE_SYSTEM_PROCESSOR)
  set(CPU ${CMAKE_SYSTEM_PROCESSOR})
endif()

if(CORE_SYSTEM_NAME MATCHES "android")
  if(CPU MATCHES arm64)
    set(OPENSSL_TARGET android-arm64)
  elseif(CPU MATCHES arm)
    set(OPENSSL_TARGET android-arm)
  elseif(CPU MATCHES i686)
    set(OPENSSL_TARGET android-x86)
  elseif(CPU MATCHES x86_64)
    set(OPENSSL_TARGET android-x86_64)
  endif()
elseif(CORE_SYSTEM_NAME MATCHES "linux" OR CORE_SYSTEM_NAME MATCHES "rbpi")
  if(CPU MATCHES aarch64 OR CPU MATCHES arm64 OR CPU STREQUAL x86_64 OR ARCH MATCHES aarch64 OR ARCH STREQUAL x86_64)
    set(OPENSSL_TARGET linux-generic64)
  elseif(CPU MATCHES arm OR CPU MATCHES "i.86" OR ARCH MATCHES arm OR CPU MATCHES cortex-a7 OR CPU MATCHES arm1176jzf-s)
    set(OPENSSL_TARGET linux-generic32)
  else()
    message(WARNING "Could not detect bitness for CPU ${CPU} - assuming 32bit")
    set(OPENSSL_TARGET linux-generic32)
  endif()
elseif(CORE_SYSTEM_NAME MATCHES "ios" OR CORE_SYSTEM_NAME MATCHES "darwin_embedded")
  set(OPENSSL_TARGET iphoneos-cross)
elseif(CORE_SYSTEM_NAME MATCHES "osx")
  if(CMAKE_SIZEOF_VOID_P EQUAL 8)
    set(OPENSSL_TARGET darwin64-x86_64-cc)
  else()
    set(OPENSSL_TARGET darwin-i386-cc)
  endif()
endif()

list(APPEND configure_command ${CMAKE_COMMAND} -E env)
list(APPEND configure_command ANDROID_NDK=${TOOLCHAIN})
list(APPEND configure_command AR=${CMAKE_AR})
list(APPEND configure_command CC=${CMAKE_C_COMPILER})
list(APPEND configure_command CFLAGS=${CMAKE_C_FLAGS})
list(APPEND configure_command CPPFLAGS=${CMAKE_CPP_FLAGS})
list(APPEND configure_command CXX=${CMAKE_CXX_COMPILER})
list(APPEND configure_command CXXFLAGS=${CMAKE_CXX_FLAGS})
list(APPEND configure_command INSTALL_PREFIX=)
list(APPEND configure_command LDFLAGS=${CMAKE_LD_FLAGS})
list(APPEND configure_command RANLIB=${CMAKE_RANLIB})
list(APPEND configure_command <SOURCE_DIR>/Configure)
list(APPEND configure_command ${OPENSSL_TARGET})
list(APPEND configure_command no-shared zlib)
if(PLATFORM MATCHES appletvos)
  list(APPEND configure_command no-async)
endif()
list(APPEND configure_command --prefix=${OUTPUT_DIR})
list(APPEND configure_command --with-zlib-include=${OUTPUT_DIR}/include)
list(APPEND configure_command --with-zlib-lib=${OUTPUT_DIR}/lib)
list(APPEND configure_command COMMAND sed -ie "s|PROGRAMS=|PROGRAMS=#|" ${PROJECT_SOURCE_DIR}/Makefile)
list(APPEND configure_command COMMAND sed -ie "s|-isysroot $.CROSS_TOP./SDKs/$.CROSS_SDK. ||" ${PROJECT_SOURCE_DIR}/Makefile)

include(ExternalProject)

externalproject_add(openssl
                    SOURCE_DIR ${CMAKE_SOURCE_DIR}
                    UPDATE_COMMAND ""
                    CONFIGURE_COMMAND ${configure_command}
                    INSTALL_COMMAND ""
                    BUILD_IN_SOURCE 1)

install(CODE "execute_process(COMMAND make install_sw WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})")

=== debian/changelog ===
kodi-vfs-sftp-dmo (1:19.0.1-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 03 Jan 2022 09:40:39 +0100

kodi-vfs-sftp-dmo (1:19.0.0-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Sep 2021 17:14:33 +0200

kodi-vfs-sftp-dmo (1:2.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Jan 2021 08:56:36 +0100

kodi-vfs-sftp-dmo (1.0.6-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Apr 2020 22:17:11 +0200

kodi-vfs-sftp-dmo (1.0.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Jan 2020 10:34:29 +0100

kodi-vfs-sftp-dmo (1.0.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Jan 2020 00:25:07 +0100

kodi-vfs-sftp-dmo (1.0.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Oct 2019 14:14:20 +0100

kodi-vfs-sftp-dmo (1.0.1-dmo2) unstable; urgency=medium

  * Section should be utils not libs.
  * Should depends on kodi.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Mar 2019 08:30:44 +0100

kodi-vfs-sftp-dmo (1.0.1-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Feb 2019 14:50:13 +0100

=== debian/control ===
Source: kodi-vfs-sftp-dmo
Section: utils
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:19~),
 libssh-dev, ninja-build

Package: kodi-vfs-sftp
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:VFSAPI}
Description: SSH File Transfer Protocol for Kodi
 The SSH File Transfer Protocol (also Secure File Transfer Protocol, or
 SFTP) is a network protocol that provides file access, file transfer, and
 file management over any reliable data stream.
 .
 This Kodi addon allows file access to data in it.

=== debian/watch ===
version=4

https://github.com/xbmc/vfs.sftp/releases \
(?:.*?/)?v?(\d[\d.]*)-Matrix@ARCHIVE_EXT@

## kodi-vfs-sftp-dmo 20.2.0

=== depends/common/openssl/CMakeLists.txt ===
--- 
+++ 
@@ -12,8 +12,6 @@
     set(OPENSSL_TARGET android-arm)
   elseif(CPU MATCHES i686)
     set(OPENSSL_TARGET android-x86)
-  elseif(CPU MATCHES x86_64)
-    set(OPENSSL_TARGET android-x86_64)
   endif()
 elseif(CORE_SYSTEM_NAME MATCHES "linux" OR CORE_SYSTEM_NAME MATCHES "rbpi")
   if(CPU MATCHES aarch64 OR CPU MATCHES arm64 OR CPU STREQUAL x86_64 OR ARCH MATCHES aarch64 OR ARCH STREQUAL x86_64)
@@ -27,15 +25,18 @@
 elseif(CORE_SYSTEM_NAME MATCHES "ios" OR CORE_SYSTEM_NAME MATCHES "darwin_embedded")
   set(OPENSSL_TARGET iphoneos-cross)
 elseif(CORE_SYSTEM_NAME MATCHES "osx")
-  if(CMAKE_SIZEOF_VOID_P EQUAL 8)
+  if(CPU STREQUAL x86_64)
     set(OPENSSL_TARGET darwin64-x86_64-cc)
   else()
-    set(OPENSSL_TARGET darwin-i386-cc)
+    set(OPENSSL_TARGET darwin64-arm64-cc)
   endif()
 endif()
 
 list(APPEND configure_command ${CMAKE_COMMAND} -E env)
-list(APPEND configure_command ANDROID_NDK=${TOOLCHAIN})
+if(CORE_SYSTEM_NAME MATCHES "android")
+  list(APPEND configure_command ANDROID_NDK_HOME=${NDKROOT})
+  list(APPEND configure_command PATH=${TOOLCHAIN}/bin:$ENV{PATH})
+endif()
 list(APPEND configure_command AR=${CMAKE_AR})
 list(APPEND configure_command CC=${CMAKE_C_COMPILER})
 list(APPEND configure_command CFLAGS=${CMAKE_C_FLAGS})
@@ -54,8 +55,16 @@
 list(APPEND configure_command --prefix=${OUTPUT_DIR})
 list(APPEND configure_command --with-zlib-include=${OUTPUT_DIR}/include)
 list(APPEND configure_command --with-zlib-lib=${OUTPUT_DIR}/lib)
+if(CORE_SYSTEM_NAME MATCHES "android")
+  list(APPEND configure_command -D__ANDROID_API__=21)
+  list(APPEND configure_command -isystem ${NDKROOT}/sysroot/usr/include)
+  list(APPEND configure_command -isystem ${NDKROOT}/sysroot/usr/include/${HOST})
+endif()
 list(APPEND configure_command COMMAND sed -ie "s|PROGRAMS=|PROGRAMS=#|" ${PROJECT_SOURCE_DIR}/Makefile)
-list(APPEND configure_command COMMAND sed -ie "s|-isysroot $.CROSS_TOP./SDKs/$.CROSS_SDK. ||" ${PROJECT_SOURCE_DIR}/Makefile)
+
+list(APPEND build_command ${CMAKE_COMMAND} -E env)
+list(APPEND build_command PATH=${TOOLCHAIN}/bin:$ENV{PATH})
+list(APPEND build_command make)
 
 include(ExternalProject)
 
@@ -63,6 +72,7 @@
                     SOURCE_DIR ${CMAKE_SOURCE_DIR}
                     UPDATE_COMMAND ""
                     CONFIGURE_COMMAND ${configure_command}
+                    BUILD_COMMAND ${build_command}
                     INSTALL_COMMAND ""
                     BUILD_IN_SOURCE 1)

=== debian/changelog ===
kodi-vfs-sftp-dmo (1:20.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Feb 2023 08:15:03 +0100

kodi-vfs-sftp-dmo (1:20.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Jan 2023 13:48:04 +0100

kodi-vfs-sftp-dmo (1:19.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Jan 2022 14:06:36 +0100

kodi-vfs-sftp-dmo (1:19.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Sep 2021 16:57:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:19~),
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
  libssh-dev, ninja-build
 
 Package: kodi-vfs-sftp

=== debian/watch ===
version=4

https://github.com/xbmc/vfs.sftp/tags \
(?:.*?/)?v?(\d[\d.]*)-Nexus@ARCHIVE_EXT@

## kodi-vfs-sftp-dmo 21.0.2

=== debian/changelog ===
kodi-vfs-sftp-dmo (1:21.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jan 2025 09:08:41 +0100

kodi-vfs-sftp-dmo (1:21.0.0-dmo1+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Nov 2024 14:52:53 +0100

kodi-vfs-sftp-dmo (1:21.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Apr 2024 21:34:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
-Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:21~),
  libssh-dev, ninja-build
 
 Package: kodi-vfs-sftp

=== debian/watch ===
version=4

#https://github.com/xbmc/vfs.sftp/tags \
#(?:.*?/)?v?(\d[\d.]*)-Omega@ARCHIVE_EXT@
